Page MenuHomePhabricator

[mlir][Linalg] NFC: Move populatePatterns* method into linalg namespace.
ClosedPublic

Authored by mravishankar on Apr 2 2021, 3:24 PM.

Details

Summary

The moved populate methods are only relevant to Linalg
operations. So they are better of in linalg namespace. Also rename
populateLinalgTensorOpsFusionPatterns to
populateElementwiseOpsFusionPatterns. This makes the scope of these
patterns explicit and disambiguates it with fusion on tensors using
tile + fuse.

Diff Detail

Event Timeline

mravishankar created this revision.Apr 2 2021, 3:24 PM
mravishankar requested review of this revision.Apr 2 2021, 3:24 PM
hanchung accepted this revision.Apr 4 2021, 10:56 PM
This revision is now accepted and ready to land.Apr 4 2021, 10:56 PM
silvas accepted this revision.Apr 5 2021, 9:49 AM

Drop "Linalg" in populateLinalgFoldUnitExtentDimsPattern.

This revision was landed with ongoing or failed builds.Apr 5 2021, 11:16 AM
This revision was automatically updated to reflect the committed changes.